## python-webvtt 0.4.3

=== requirements.txt ===
docopt==0.6.2

=== debian/changelog ===
python-webvtt (0.4.3-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Michael Fladischer ]
  * New upstream release.
  * Add debian/gbp.conf.
  * Set Rules-Requires-Root: no.
  * Run wrap-and-sort -bast to reduce diff size of future changes.

 -- Michael Fladischer <fladi@debian.org>  Wed, 27 Nov 2019 20:59:31 +0100

python-webvtt (0.4.2-1) unstable; urgency=low

  * Initial release (Closes: #927869).

 -- Michael Fladischer <fladi@debian.org>  Thu, 18 Apr 2019 21:08:02 +0200

=== debian/control ===
Source: python-webvtt
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 docbook-to-man,
 python3-all,
 python3-docopt,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-webvtt
Vcs-Git: https://salsa.debian.org/python-team/modules/python-webvtt.git
Homepage: https://github.com/glut23/webvtt-py/
Rules-Requires-Root: no

Package: python-webvtt-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Read, write and segment WebVTT caption files (Documentation)
 Python module for reading/writing WebVTT caption files. It also features
 caption segmentation useful when captioning HLS videos.
 .
 Converting captions from other formats is supported for:
  * SubRip (.srt)
  * YouTube SBV (.sbv)
 .
 This package contains the documentation.

Package: python3-webvtt
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-webvtt-doc,
Description: Read, write and segment WebVTT caption files (Python3 version)
 Python module for reading/writing WebVTT caption files. It also features
 caption segmentation useful when captioning HLS videos.
 .
 Converting captions from other formats is supported for:
  * SubRip (.srt)
  * YouTube SBV (.sbv)
 .
 This package contains the Python 3 version of the library.

Package: webvtt
Architecture: all
Section: utils
Depends:
 python3-webvtt (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-webvtt-doc,
Description: Read, write and segment WebVTT caption files
 Python module for reading/writing WebVTT caption files. It also features
 caption segmentation useful when captioning HLS videos.
 .
 Converting captions from other formats is supported for:
  * SubRip (.srt)
  * YouTube SBV (.sbv)

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs $(CURDIR)/debian/python-webvtt-doc/usr/share/doc/python-webvtt-doc/html
	dh_sphinxdoc
endif

override_dh_installman:
	docbook-to-man debian/manpage.webvtt.sgml > webvtt.1
	dh_installman


override_dh_clean:
	rm -rf docs/.build/
	dh_clean

## python-webvtt 0.4.5

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
	$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don\'t have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/webvtt-py.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/webvtt-py.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/webvtt-py"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/webvtt-py"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== debian/changelog ===
python-webvtt (0.4.5-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper version to 13.
  * Bump Standards-Version to 4.5.0.

 -- Michael Fladischer <fladi@debian.org>  Tue, 30 Jun 2020 15:54:01 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  docbook-to-man,
  python3-all,
@@ -14,7 +14,7 @@
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-webvtt
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-webvtt.git
 Homepage: https://github.com/glut23/webvtt-py/

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/([\d\.]+.*)$/python-webvtt-$1/ \
https://github.com/glut23/webvtt-py/releases \
/glut23/webvtt-py/archive/([\d\.]+)\.tar\.gz

## python-webvtt 0.4.6

=== docs/requirements.txt ===
sphinx-rtd-theme==0.1.9

=== debian/changelog ===
python-webvtt (0.4.6-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-webvtt-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 20 Nov 2022 12:19:33 +0000

python-webvtt (0.4.6-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Michael Fladischer ]
  * New upstream release.
  * Update d/watch to work with github again.
  * Use uscan version 4.
  * Bump Standards-Version to 4.6.0.
  * Enable upstream testsuite for autopkgtests.
  * Add d/upstream/metadata.

 -- Michael Fladischer <fladi@debian.org>  Sun, 29 Aug 2021 21:23:43 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: python-webvtt
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Section: python
@@ -14,9 +14,9 @@
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-webvtt
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-webvtt.git
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-webvtt
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-webvtt.git
 Homepage: https://github.com/glut23/webvtt-py/
 Rules-Requires-Root: no
 
@@ -26,6 +26,7 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
+Multi-Arch: foreign
 Description: Read, write and segment WebVTT caption files (Documentation)
  Python module for reading/writing WebVTT caption files. It also features
  caption segmentation useful when captioning HLS videos.

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/([\d\.]+.*)$/python-webvtt-$1/ \
https://github.com/glut23/webvtt-py/releases \
/glut23/webvtt-py/archive/refs/tags/([\d\.]+)\.tar\.gz

## python-webvtt 0.5.1

=== Makefile ===
build:
	rm -rf dist
	mkdir dist
	python setup.py sdist bdist_wheel
	twine check dist/*

release_test: build
	twine upload -r testpypi dist/*

release: build
	twine upload dist/*

.PHONY: build release_test release

=== docs/requirements.txt ===
sphinx==7.3.7
sphinx-rtd-theme==2.0.0

=== debian/changelog ===
python-webvtt (0.5.1-1) unstable; urgency=low

  * Use github tags instead of releases for d/watch.
  * New upstream version 0.5.1
  * Build using pybuild-plugin-pyproject and dh-sequence-python3.
  * Bump Standards-Version to 4.7.0.
  * Update year in d/copyright.
  * Fix documentation source directory.
  * Use help2man to generate up-to-date man pages.
  * Use local objects.inv in default intersphinx configuration if files are
    present.
  * Depend on python3-all for autopkgtests.

 -- Michael Fladischer <fladi@debian.org>  Sat, 20 Jul 2024 21:46:57 +0000

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,16 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
- docbook-to-man,
+ dh-sequence-python3,
+ help2man,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-docopt,
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.6.0
+ sphinx-doc,
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-webvtt
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-webvtt.git
 Homepage: https://github.com/glut23/webvtt-py/

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_before_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) python3 -m sphinx -b html -d $(CURDIR)/docs/.build/.doctrees -N $(CURDIR)/docs/source $(CURDIR)/debian/python-webvtt-doc/usr/share/doc/python-webvtt-doc/html
endif

execute_before_dh_installman:
	PYTHONPATH=$(CURDIR) help2man --no-discard-stderr -n 'Segment WebVTT files' $(CURDIR)/debian/tmp/usr/bin/webvtt >$(CURDIR)/webvtt.1

execute_after_dh_clean:
	rm -rf $(CURDIR)/docs/.build/

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/([\d\.]+.*)$/python-webvtt-$1/ \
https://github.com/glut23/webvtt-py/tags \
/glut23/webvtt-py/archive/refs/tags/([\d\.]+)\.tar\.gz
